Bluetooth 'Send files' returns permission denied error

Bug #872044 reported by CaptainMark on 2011-10-10
738
This bug affects 251 people
Affects Status Importance Assigned to Milestone
GNOME Bluetooth
New
Undecided
Unassigned
Linaro Linux
Won't Fix
Undecided
Unassigned
Linaro Ubuntu
Medium
Unassigned
OEM Priority Project
Medium
Ursula Junque
Precise
Undecided
Unassigned
bluez (Fedora)
Invalid
High
bluez (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
linux (Ubuntu)
Medium
Ming Lei
Oneiric
Undecided
Unassigned
Precise
Medium
Ming Lei
obex-data-server (Ubuntu)
Oneiric
Undecided
Unassigned
Precise
Medium
Unassigned
obexd (Ubuntu)
Oneiric
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

Gnome 3 bluetooth manager cannot send files to my HTC Desire phone, (or any phone that I could try) Gnome2 bluetooth manager would send some form of authorisation request when first sending a file to my phone, which i would accept on the phone and then all future files could be sent with a simple 'accept?' message on the phone, on any gnome3 setup i have tried there is not authorisation request and i believe this is what leads to a permission denied error on screen (video attached)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-bluetooth 3.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Mon Oct 10 23:23:33 2011
ExecutablePath: /usr/bin/bluetooth-applet
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111010.1)
SourcePackage: gnome-bluetooth
UpgradeStatus: No upgrade log present (probably fresh install)

CaptainMark (imark-skinner) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-bluetooth (Ubuntu):
status: New → Confirmed
Pedro Villavicencio (pedro) wrote :

Thanks for the report, could you please attach your /var/log/messages after reproduced the issue? thanks in advance.

Changed in gnome-bluetooth (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Oscar Tiderman (oscar-tiderman) wrote :

I am suffering from the same problem but on my Samsung Galaxy S, used to work in Natty.
My /var/log/messages is empty but these are the only lines regarding this in /var/log/syslog:

Oct 25 18:33:42 oscar-laptop kernel: [ 549.861814] ACPI: EC: GPE storm detected, transactions will use polling mode
Oct 25 18:37:03 oscar-laptop bluetoothd[1306]: Mode session 0x7f1d90aa0530 with :1.63 activated
Oct 25 18:37:07 oscar-laptop obex-client[2467]: Permission denied (13)
Oct 25 18:37:12 oscar-laptop bluetoothd[1306]: Mode session 0x7f1d90aa0530 with :1.63 activated
Oct 25 18:37:15 oscar-laptop obex-client[2467]: Permission denied (13)

It's pretty quiet, this is after two unsuccessful attempts to send a file to my phone (18:37).

CaptainMark (imark-skinner) wrote :

Same as post #4 /var/log/messages is empty or does not exist, i can reproduce the error anytime so i can run any commands needed

aka (vangop) wrote :

Same thing. Also I cannot pair Phone->PC if the pairing is initiated from the phone.
The phone asks if the pin is correct, I confirm, it then says pin incorrect. Samsung galaxy, Android.

petogal (petogal) wrote :

Same thing, Samsung Galaxy s2 and HP laptop

Florent Mertens (givre) wrote :

Same problem with my Samsung i5800.

Changed in gnome-bluetooth (Ubuntu):
status: Incomplete → Confirmed
Amneet Bedi (amneetbedi) wrote :

Facing the same issue with my Samsung Corby Plus

Same problem with samsung galaxy s2 - also it seems as though bluetooth audio will be broken.

Jonathan Bispo (jfb0101) wrote :

I have problemas with bluetooth in Ubuntu 11.10 too. I can send files but when it ends my system brakes and I need to restart that. I'm using the default manager of Gnome 3.

Nelo (nelo) wrote :

Same problem, Samsung Galaxy S2 and DELL Studio xps 1647

David Young (dove-young) wrote :

Seems there is not a workaround so far. I confirm the same problem between Thinkpad T400 and HTC Incredible S. Ubuntu 11.10 i386 desktop

David Young (dove-young) wrote :

Workaround:

Seems I checked “Share public files over Bluetooth" in Personal File Sharing Preference panel, then I could send files in ~/Public folder to my smart phone.

Files not in ~/Public folder can also be sent over Bluetooth.

mano-மனோ (manoj-neyveli) wrote :

 The same problem between my lg510 and ideapad z460.

fgy (1stmrfgy) wrote :

Same problem, Lenovo X201-Samsung S5230.
part of syslog:
.....
Nov 1 19:32:57 x201 bluetoothd[1071]: Discovery session 0x7f7331e11550 with :1.93 activated
Nov 1 19:33:06 x201 bluetoothd[1071]: Mode session 0x7f7331e0f500 with :1.86 activated
Nov 1 19:33:08 x201 obex-client[6181]: Permission denied (13)
......

fjkum (fongjeng-kum) wrote :

Please has someone assigned to look at this bug as it's really makes me feel handicapped when this bluetooth stops working.

Niklas Fischer (niklasfi) wrote :

I can confirm the bug as well as as the error message Permission denied (13) when I initialize sending a file.

Same problem here with Galaxy S. And why importance set to low ? It's pretty annoying...

CaptainMark (imark-skinner) wrote :

This is not restricted to ubuntu 11.10, running the early cut of 12.04 and this bug is also present

Description of problem:
The Bluetooth userspace utilities do not work properly on kernels newer than
2.6.38. In particular, sending files by Bluetooth from the computer to a remote
device (obex push) fails. The problem occurs on both Fedora 15 with the latest updates and Fedora 16. On Fedora 16, the Bluetooth adaptor is functional
only if the bluez-hid2hci package is installed.

Version-Release number of selected component (if applicable):
4.96-3

How reproducible:
On a Fedora 16 system with the bluez-hid-2hci package installed, turn on
Bluetooth and try to send a file via Bluetooth to a remote device such as a
mobile phone.

Steps to Reproduce:
1. On Fedora 16, if package bluez-hid2hci is not installed, install it.
2. Turn on Bluetooth (system adaptor).
3. Try to send a file to a remote device such as a mobile phone.

Actual results:
gnome-blueooth either crashes or fails to send file to remote device.

Expected results:
File gets transferred successfully.

Additional info:
There are various manifestations of this bug on different Linux distributions, including crashing, failing with the error message, "Connection refused" and failing with the error code 111.

*** Bug 747264 has been marked as a duplicate of this bug. ***

aka (vangop) wrote :

There's a workaround - to mount the phone with obexfs. see http://ubuntu-answers.blogspot.com/2011/11/bluetooth-on-ubuntu-1110.html

David Young (dove-young) wrote :

Send files in your ~/Public folders are OK. In case you have checked “Share public files over Bluetooth" in Personal File Sharing Preference

Send files from other folders will encounter 'Permission deny' problem

Steffen Krumbholz (skrumbholz) wrote :

Sending files from ~/Public folder [1] to my Android phone doesn't work for me. I have configured sharing over bluetooth in gnome-file-share-properties and paired the devices successfully. But I still get the permission denied (13) error.

Sending files the other way around works like a charm.

Linux eeepc 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric
gnome-user-share: 3.0.0-2ubuntu3
gnome-bluetooth: 3.2.0-0ubuntu2

[1] I have configured the folder ~/Temp as the public folder in file $HOME/.config/user-dirs.dirs (XDG_PUBLICSHARE_DIR="$HOME/Temp")
drwxrwxr-x 2 skrumbholz skrumbholz 4096 2011-11-15 14:01 /home/skrumbholz/Temp

ಸతీशः (bdsatish) wrote :

Same problem, Galaxy S. Even sending from ~/Public doesn't work anymore. There is a segmentation fault with the error messages:

Nov 16 01:58:17 sarvamula kernel: [ 2936.499111] gnome-control-c[3211]: segfault at 8 ip a6d1e230 sp bfc3df20 error 4 in libgnome-bluetooth.so.8.0.0[a6d17000+1a000]
Nov 16 01:58:27 sarvamula bluetoothd[2033]: input-headset driver probe failed for device CC:05:1B:97:08:E7
Nov 16 01:59:09 sarvamula bluetoothd[2033]: Discovery session 0xb7f2d0d8 with :1.82 activated
Nov 16 01:59:17 sarvamula obex-client[3764]: obex-client daemon 0.42
Nov 16 01:59:17 sarvamula bluetoothd[2033]: Mode session 0xb7f2d0d8 with :1.85 activated
Nov 16 01:59:20 sarvamula obex-client[3764]: Permission denied (13)
Nov 16 01:59:22 sarvamula bluetoothd[2033]: Mode session 0xb7f2d0d8 with :1.85 activated
Nov 16 01:59:24 sarvamula obex-client[3764]: Permission denied (13)

From /var/log/syslog

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

I'm not so sure it's the kernel. I could receive files on Fedora 15 (3.0 kernel) just fine. On F16 it fails to send, receive, or browse. Pairing works fine, but repairing doesn't fix anything. It fails with SELinux enabled or in permissive mode.

I see this in my /var/log/messages after trying to send a file.

Nov 17 22:45:04 mcronenworth obex-client[441]: obex-client daemon 0.42
Nov 17 22:45:04 mcronenworth bluetoothd[976]: Mode session 0x7f8c953c4840 with :1.470 activated
Nov 17 22:45:04 mcronenworth bluetoothd[976]: bluetoothd[976]: Mode session 0x7f8c953c4840 with :1.470 activated
Nov 17 22:45:17 mcronenworth obex-client[441]: Transfer(0xf9e630) Error: Unknown response
Nov 17 22:45:17 mcronenworth dbus[1100]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=976 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.470" (uid=502 pid=441 comm="/usr/libexec/obex-client ")
Nov 17 22:45:17 mcronenworth dbus-daemon[1100]: dbus[1100]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=976 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.470" (uid=502 pid=441 comm="/usr/libexec/obex-client ")

Installing bluez-hid2hci does allow browsing to work, but file transfers (to or from) do not work.

(In reply to comment #3)
> I'm not so sure it's the kernel. I could receive files on Fedora 15 (3.0
> kernel) just fine. On F16 it fails to send, receive, or browse. Pairing works
> fine, but repairing doesn't fix anything. It fails with SELinux enabled or in
> permissive mode.
>
> I see this in my /var/log/messages after trying to send a file.
>
> Nov 17 22:45:04 mcronenworth obex-client[441]: obex-client daemon 0.42
> Nov 17 22:45:04 mcronenworth bluetoothd[976]: Mode session 0x7f8c953c4840 with
> :1.470 activated
> Nov 17 22:45:04 mcronenworth bluetoothd[976]: bluetoothd[976]: Mode session
> 0x7f8c953c4840 with :1.470 activated
> Nov 17 22:45:17 mcronenworth obex-client[441]: Transfer(0xf9e630) Error:
> Unknown response
> Nov 17 22:45:17 mcronenworth dbus[1100]: [system] Rejected send message, 2
> matched rules; type="method_return", sender=":1.1" (uid=0 pid=976
> comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error
> name="(unset)" requested_reply="0" destination=":1.470" (uid=502 pid=441
> comm="/usr/libexec/obex-client ")
> Nov 17 22:45:17 mcronenworth dbus-daemon[1100]: dbus[1100]: [system] Rejected
> send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0
> pid=976 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)"
> error name="(unset)" requested_reply="0" destination=":1.470" (uid=502 pid=441
> comm="/usr/libexec/obex-client ")

In my case I could not send files from F15 either when I had installed all updates. My hcidump output (sorry, I do not have it right now) said that the rejection (which you have mentioned) was due to an authentication failure. Other error messages elsewhere also hint at being unable to find the OBEX transfer service on the phone.

To all concerned: -

Please do not consider the issue of being unable to receive files via Bluetooth to be part of this bug. It is because Fedora 16, for example, does not have the gnome-user-share (Personal File Sharing) package installed in GNOME by default. However, gnome-user-share now depends on httpd on Fedora so it becomes imperative to install httpd (Apache Web server) even if we do not need the network sharing facility. gnome-user-share can work just fine without httpd. Setting up BlueDevil to receive files on KDE works correctly, and gnome-user-share does not depend on httpd on Ubuntu now and is also installed by default there so setting it up to receive files also works. This should be filed as a separate bug. The main problem here is that sending files (OBEX push) does not work.

Browsing, including copying to and from, through obexfs (package) works but may require several tries to connect. In particular, it only seems to work for paired devices and the computer may need to be restarted after pairing, so the whole set-up is rather more of a headache than a workable solution, although right now it is the only workaround I know of.

Saurav,

My F15 boxes (now all F16) had gnome-user-share installed and all could transfer Bluetooth files just fine. There is a dependency problem if bluez-hid2hci is required. gnome-user-share should Requires it.

After attempting file browsing again today, I was able to transmit to/from and delete files on my mobile phone through the browsing window. I was also able to transmit to my phone using nautilus Send To and receive files from the phone. I'm not sure why the first attempts failed, but now everything seems to be working.

IMO this looks like a dep issue and should be assigned to gnome-user-share.

Saurav,
I've exactly the same problem. If I start F15 with 2.6.38-8, bluetooth filetransfer works without problems. But if I use a Kernel > 2.6.38-8, it doesn't work. Maybe not all bluetooth adapters are affected.

# lsusb
Bus 001 Device 004: ID 0a5c:217f Broadcom Corp. Bluetooth Controller

http://www.thinkwiki.org/wiki/ThinkPad_Bluetooth_Daughter_Card_with_Enhanced_Data_Rate_%28BDC-2%29

(In reply to comment #8)
> Saurav,
>
> My F15 boxes (now all F16) had gnome-user-share installed and all could
> transfer Bluetooth files just fine. There is a dependency problem if
> bluez-hid2hci is required. gnome-user-share should Requires it.
>
> After attempting file browsing again today, I was able to transmit to/from and
> delete files on my mobile phone through the browsing window. I was also able to
> transmit to my phone using nautilus Send To and receive files from the phone.
> I'm not sure why the first attempts failed, but now everything seems to be
> working.
>
> IMO this looks like a dep issue and should be assigned to gnome-user-share.

Do you mean that installing gnome-user-share allowed you to send files from F16 to a remote device?

(In reply to comment #10)
> Do you mean that installing gnome-user-share allowed you to send files from F16
> to a remote device?

No. My F15 machines were upgraded to F16 using preupgrade. Those machines already had gnome-user-share installed prior to F16 and they continued to have it installed while on F16. I was only able to send files once I installed bluez-hid2hci.

phcoder (phcoder) wrote :

I've discovered where the problem comes from: some devices are unable to respond to open request in rapid succession after the SDP scanning. You need to close SDP session and wait 2 seconds before connecting to rfcomm, like the attached patch.

The attachment "sdp.diff" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

*** Bug 757229 has been marked as a duplicate of this bug. ***

Teguh Wibowo (kangtguh) wrote :

The same problem between my samsung phone and fujitsu MH-330, service list just dial-up,no file transfer no object push.
I've installed blueman (bluetooth-manager) package.
I just found that my netbook CAN receive files SUCCESSFULLY from my phone while the bluetooth-manager (blueman) active,but CANNOT send back from my netbook to my phone. [Sending files - failed with the a 'permission denied error(13)'].

I have the same problem. Whenever I try to browse a paired device, I get an error message saying:

Error browsing device

The request device cannot be browsed, error is 'Error: Error invoking GnomeBluetoothApplet.browse_address_finish: Connection refused'

See also bug 733847 which might be a dup. In this, it's hw dependent, using another dongle might help

Felix (apoapo) wrote :

On 07.12.2011 16:07, Felix wrote:
> Are we talking about the same bug?
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-bluetooth/+bug/879923
>
I think we do. There is the same bug in both obexd-client and
obex-data-server. I've posted a patch only to one of the packages. Here
attached is the patch for obexd.

--
Regards
Vladimir 'φ-coder/phcoder' Serbinenko

I confim. Samsung Galaxy 5 in Ubuntu 11.10 (gnome-shell). IMHO this bug is critical. Bluetooth is the stardard way to comm with mobile. All Ubuntu look&fell is affected by this bug. How will change to Ubuntu if it cannot comm with his mobile?

phcoder (phcoder) wrote :

On 07.12.2011 18:54, Andre Cavalcante wrote:
> I confim. Samsung Galaxy 5 in Ubuntu 11.10 (gnome-shell). IMHO this bug
> is critical. Bluetooth is the stardard way to comm with mobile. All
> Ubuntu look&fell is affected by this bug. How will change to Ubuntu if
> it cannot comm with his mobile?
>
It's not Ubuntu fault. Just your and my phones are piece of crap. It
would be nice if my or similar workaround would be accepted though.

--
Regards
Vladimir 'φ-coder/phcoder' Serbinenko

carlosv (cvedovatti) wrote :

The bug stills present on the alpha version of Ubuntu 12.04, hope to see to solve soon.

icewater (a-ubuntu) wrote :

Connection to the headset I use to listen to music (LG HDS 700) also fails with the bluetooth applet, but works with blueman, as mentioned earlier in this bug.

It worked with the applet exactly one time, then not again.

I'm on 11.10

sreenivasa reddy (cnureddy-b) wrote :

Both the solutions in comment #21 worked for me

1). I could mount folders via obexfs

2). apt repo upgrade as below
  $ sudo add-apt-repository ppa:blueman/ppa
  $ sudo apt-get update
  $ sudo apt-get upgrade

I feel this bug can be closed

Kent Lin (kent-jclin) on 2011-12-20
Changed in oem-priority:
importance: Undecided → Critical
Changed in oem-priority:
status: New → Confirmed

I am affected by the same bug (fresh install of Ubuntu 11.10 with Unity). Actually I cannot do any file transfer with my phone : sending files from the phone, from the PC, browsing files, nothing works (permission denied everywhere). Also, the bluetooth-applet crashes. Only the initial pairing with the phone went fine. Typical errors in syslog are :

Dec 21 11:26:27 guilleri obex-data-server: sdp_extract_seqtype: Unexpected end of packet
Dec 21 11:27:08 guilleri bluetoothd[4523]: Bluetooth daemon 4.96
Dec 21 11:27:08 guilleri bluetoothd[4523]: Unable to get on D-Bus
[...]
Dec 21 11:29:34 guilleri obex-client[4567]: obex-client daemon 0.42
Dec 21 11:29:34 guilleri bluetoothd[1136]: Mode session 0x7fa6debc6630 with :1.82 activated
Dec 21 11:29:36 guilleri obex-client[4567]: Permission denied (13)

Comment #14 suggested to look into the "Personal file sharing" settings but I cannot find them in Unity's system settings (though the package gnome-user-share is installed).

Update : I finally found the Personal file sharing settings, it was well-hidden in the Dash (see Bug #883769). I can now receive files sent from the phone on my PC. No luck yet for sending files from the PC, and browsing files on the phone...

theghost (theghost) wrote :

There is also an upstream bug-report: https://bugzilla.gnome.org/show_bug.cgi?id=663044

I might help with this bug.

dAnjou (danjou) wrote :

This bug has probably nothing to do with GNOME. I tried to use the Bluetooth Chat sample from Android ( http://developer.android.com/resources/samples/BluetoothChat/index.html ) with the little code snippet in the attachment and I get this (MAC disguised by me):

max@XV88:~/Projekte/python$ python bt_spam_server.py
Searching ...
connecting to "BluetoothChat" on 3C:5A:37:XX:XX:XX
Traceback (most recent call last):
  File "bt_spam_server.py", line 39, in <module>
    sock.connect((host, port))
  File "<string>", line 5, in connect
bluetooth.btcommon.BluetoothError: (13, 'Permission denied')
max@XV88:~/Projekte/python$

I tested it on a Natty machine too and it worked perfectly.

(Credits for the snippet go to http://www.humbug.in/2010/sample-bluetooth-rfcomm-client-app-in-python/ )

Indeed not an issue with gnome-bluetooth really, this has more to do with obexd or obex-data-server than GNOME (and probably not bluez either).

I'm reassigning this to obexd for now, since there really does seem to be something wrong with it at least in precise (and updating to the latest source seems to let it work better).

The two patches provided might help, but I'm just generally not fond of adding timeouts for the fun of it; it always seems like there ought to be a better way to achieve this. However, since the "ugliest" one is for obexd, which has heavily changed in 0.43, it still seems like the lesser evil than trying to look through and backport the changes.

affects: gnome-bluetooth (Ubuntu) → obexd (Ubuntu)
Changed in obexd (Ubuntu):
importance: Low → Medium
Changed in obex-data-server (Ubuntu):
importance: Undecided → Medium

The issue probably also affects o-d-s, so let's keep a task open for it too.

FYI,

Many devices (I mean *phones* specifically here) are provider-locked to not allow using some bluetooth profiles, despite the fact that they may support them. If you're running into this bug, please make sure you also test, for instance, sending files between two Ubuntu systems. A "permission denied" error there may be mean you're actually hitting this "bug", but just testing between Ubuntu and a phone doesn't mean the phone actually allows using obex push, pull, or ftp.

FWIW, Android phones may have had bluetooth crippled by providers too. However, if you are using custom ROMS, then this should not be the case and bluetooth probably has all its profiles working.

phcoder (phcoder) wrote :

On 06.01.2012 16:53, Mathieu Trudel-Lapierre wrote:
> The issue probably also affects o-d-s, so let's keep a task open for it
> too.
Not to be disrespectful but it seems that nobody in this topic has
opened his eyes I provided both the reason why it happens (some devices
fail to connect immediately after scan) and a tentative fix. Granted,
the fix is ugly and the real way would be to wait 3 seconds only if
initial attempt fails, but it's more of a technical for someone familiar
with the code given that the reason is known.

--
Regards
Vladimir 'φ-coder/phcoder' Serbinenko

Yes. I see my comment was unclear, but the idea is just to keep bug tasks open for each of the affected components. With obexd and obex-data-server, I think we nail it now.

I'm not saying that the patch doesn't work -- more that I haven't had time to test it *on Oneiric*, because this doesn't seem to be necessary on Precise at least for obexd, which I've just uploaded.

The idea is; I'm not sure everyone is clear on why "Permission denied" can happen. Then it's important to mention that it's not necessarily a bug, it might just be that the permission is indeed denied.

I'll get the patches ready for an upload to Oneiric; phcoder, could you please send me an email directly (at <email address hidden>) with your real name and an email address I can use to properly attribute the patch to you?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in obex-data-server (Ubuntu):
status: New → Confirmed
Changed in oem-priority:
assignee: nobody → Ursula Junque (ursinha)
tags: added: rls-mgr-p-tracking
bwanamarko (bwanamarko) wrote :

I also had the same issues: My rooted Android HTC Inc phone (rom: CM7 s-off) would not pair from phone initially, it would timeout ( in about 2 seconds) and with an error, but if I entered any pin fast enough it could pair. Also I could pair manually with hcitool or bluez-simple-agent; (2) pairing from linuxbox work only twice, but usually would spin indefinately, although my phone was "discoverable" sometimes hcitool would not find my phone, but restarting bluetooth (from unity or cli) always fixed this; (3) once paired I could not send or recieve files, (4) the browse files on device does not let me select any devices and the box of devices is squashed flat.

The fix in comment #14 #22 #35 #36 check personal file sharing (gnome-user-share) worked for me. I had to use the dash to find it. Then suddenly the set up new device worked (although I had just paired and removed it manually with hcitool, which is the only other time the gnome-bluetooth wizard worked, so...), and now I can successfully send and receive files.

So I would say it is possible a problem with obex (since it does have the 2 second problem described in comment #25 #29), but it may also be a problem with gnome-bluetooth, in that if personal file sharing for bluetooth is required, then this should automatically be enabled during setup of a new bluetooth device, or at least the user should be notified and a link to this setting should be in the bluetooth section of system settings (a unity problem), and also in that the browse device feature is not working.

dAnjou (danjou) wrote :

Sooo, what is the status here? I *really* like to do some stuff with bluetooth between my PC and phone.

Ursula Junque (ursinha) wrote :

I am not sure this is is a bug or a problem with Android. I have a Galaxy S I9000B myself (Brazilian version) and was only able to send files from Ubuntu to this device installing Bluetooth file manager on the phone. Android doesn't have support to transfer files via bluetooth out of the box (at least not in the 2.3 version). I needed to root it and then was able to do the transfer PC->mobile.

I have a E71 and tested it, the send files worked right away PC->mobile. E71 runs symbian. I have a computer running Oneiric.

Anyone without an android device to confirm if this affects other devices? Apologies in advance in case I missed this info among all the comments.

Thanks!

Changed in obexd (Ubuntu):
status: Confirmed → Incomplete
Changed in oem-priority:
status: Confirmed → Incomplete
Changed in obex-data-server (Ubuntu):
status: Confirmed → Incomplete
Ursula Junque (ursinha) wrote :

Btw my computer is 64 bits as well.

Ursula Junque (ursinha) wrote :

@phcoder I see you attached patches to this bug, do you think I might be talking nonsense? I see people reported the issue in other Android foruns over the internet, and they were only able to send files installing the Bluetooth file manager. If you think your patch is valid and good to go, just poke me, I'm watching this closely.

Thanks!

Anomaly (bertrand3000) wrote :

I can confirm that this bug affects me with a phone that has nothing to do with Android. It is a Samsung B2710 with a Samsung proprietary OS. Blutooth used to work perfectly with Ubuntu 11.04, but no more with Ubuntu 11.10.

Things that are still working in Ubuntu 11.10 :
- Exploring files in the "Public" folder of the computer with the phone's file browser
- Downloading a file found in the "Public" folder to the phone (by using the phone's file browser)
- Sending a file from the phone (recieved in the Download folder on the computer)
- If the phone or computer is not associated, association is done automatically (with confirmation) while trying any of these

All of this needs to enable the Blutooth file sharing in the "Personal file sharing" panel, which can only be found in the Dash, not in the general control panel for example.

Things that used to work in Ubuntu 11.04 but not any more in Ubuntu 11.10 :
- Exploring phone files with the Ubuntu Blutooth menu
- Sending files to phone with the Ubuntu Blutooth menu
- Associating phone from Computer with the Ubuntu Blutooth menu

So Blutooth commands from computer are completely broken, the usual error message recieved is "Permission denied", if any at all.

On the other hand, Bluetooth commands from phone are working after Blutooth file sharing is enabled on the computer in the "Personal File sharing panel".

In other words, it's still possible to use Blutooth with Ubuntu 11.10 without using command line or applying source patch, but painful to do since you can only operate from the phone, and files are read only on the Public folder of the computer, and wrote only on the Download folder of the computer.

It would be nice if the computer-side commands for Blutooth could be fixed.

Ursula Junque (ursinha) wrote :

bertrand3000, awesome, thanks for the prompt response. I'll let developers know. Cheers!

Changed in oem-priority:
status: Incomplete → Confirmed
Changed in obexd (Ubuntu):
status: Incomplete → Confirmed
Changed in obex-data-server (Ubuntu):
status: Incomplete → Confirmed
phcoder (phcoder) wrote :

On 30.01.2012 17:59, Ursula Junque wrote:
> @phcoder I see you attached patches to this bug, do you think I might be
> talking nonsense? I see people reported the issue in other Android
> foruns over the internet, and they were only able to send files
> installing the Bluetooth file manager. If you think your patch is valid
> and good to go, just poke me, I'm watching this closely.
My phone isn't android but a Samsung B2100. The issue with android may
or may not be the same.
My patch works but it's very dirty, just ad-hoc adding a pause. Better
way is first try immediately and if it fails, retry after few seconds
timeout. I'm just unfamiliar with the code in question to do it right.
But I feel that real devs would be able to add it quickly and well given
the info I supplied.
Also I've noticed that if I take too long to confirm connection on my
phone, computer side fails with timeout. It's generally ok but timeout
is too short given that confirmation is a human action which may take
some time (user taking 10s to read the message and press button isn't
unreasonable).
> Thanks!
>

--
Regards
Vladimir 'φ-coder/phcoder' Serbinenko

Changed in oem-priority:
importance: Critical → Medium
tags: added: linaro-ubuntu lt-origen
tags: added: patch-needswork
removed: patch

phcoder, unfortunately, after testing your patches the only thing I could verify was that the transfers would be failing... slower ;)

As for the other issues, I can easily confirm that some things aren´t working as well as they could, but on the whole it´s very difficult to reproduce and to debug since they are no real differences in any debug message between a failing case and a successful case, that I could find. Furthermore, transfer do tend to work properly here from the computer to the phone after a few tries getting "permission denied".

Bluetooth browsing from the computer is definitely broken, that's already confirmed, and will be addressed separately because it affects very different packages. at the obex-data-server everything looks okay for this, but gvfs probably doesn´ t handle it correctly -- this needs a separate bug report.

Receiving files and browsing from a device appears to work correctly, can someone please confirm this?

Sending files from a Ubuntu computer is what really tends to be an issue, and we can probably solve that by debugging the obexd and bluez code further; so I'll reassign the bug to those packages and mark it as confirmed -- obex-data-server doesn't have anything to do with file sending (only receiving).

Changed in bluez (Ubuntu):
status: New → Confirmed
Changed in obex-data-server (Ubuntu):
status: Confirmed → Incomplete

Presumably not a bug in Gnome-Bluetooth, so I'm marking that task as Invalid -- the applet itself seems to do the right thing, but the underlying daemons don't successfully handle the job.

FWIW, most of the testing I do is on Precise. Once it works properly there, and reliably, we can backport/SRU things into 11.10.

Sergio Callegari (callegar) wrote :

I have this issue on ubuntu, but not on kubuntu. Same phone. Same oneiric bluez.

luigi massa (info-luigi-massa) wrote :

Same problem with HTC WildeFire S based on Android

Changed in linaro-ubuntu:
status: New → Confirmed
importance: Undecided → Medium

The file sending process randomly succeeds after several tries, sometimes, especially if the devices are paired. But mostly, it fails. Also, this problem does not occur, at least in my case, when sending to a Nokia smartphone, but for all other devices, it fails.

@Alec: Bug 733847 is indeed a duplicate of this one, but using a laptop with an in-built Bluetooth adaptor, I am unwilling to use an external dongle instead. The problem did not occur in previous kernels (or Bluetooth stack versions), which clearly indicates that this is a regression.

Saurav (sauravzone1) wrote :

This bug is also being tracked by Fedora in Red Hat bug no. 753617. I have added it to this report.

Saurav (sauravzone1) wrote :

Please don't follow the link in my comment #57. It is an incorrect link created by Launchpad.

Anthony Wong (anthonywong) wrote :

I have done many file sending tests from Ubuntu Oneiric to various OS/devices, using the /usr/share/doc/obexd-client/examples/send-files script found in the obexd-client package. The command used is
  # /usr/share/doc/obexd-client/examples/send-files <bluetooth_device> <file>

Devices used for receiving files include:
  1. Macbook running OS X 10.5
  2. Windows 7 notebook
  3. Nokia E70 phone running S60 v3
  4. Nexus One phone running Android 2.3.6
  5. Tablet running Android 4.0.3
  6. Ubuntu netbook running Netbook Remix 10.10

Sending to devices 1, 2 and 3 always succeed [1] (tested more than 10 times per device).
Sending to devices 4, 5 and 6 always have the failure symptom that the first time running the command exits with "Connection refused (111)" error [2]. Running the command immediately again has the same result. Running the command once again will result in a successful file transfer, same as [1]. Subsequent transfers will be successful, until the command is not run for some time, like 10 seconds. After that, the failure symptom will appear again.

[1] http://pastebin.ubuntu.com/832412/
[2] http://pastebin.ubuntu.com/832413/

Anthony Wong (anthonywong) wrote :

Sending files from devices in #59 to Ubuntu Oneiric works, except device 3 (Nokia phone) which I could not test.

Browsing from devices 1, 4, 5 and 6 works. Device 2 (Windows 7) shows an error "FTP service not found on target device". Device 3 untested.

Changed in obex-data-server (Ubuntu):
status: Incomplete → Confirmed

Hi guys, I've found a workaround using obexfs :-)
First, mount the bluetooth device like that:

yum install obexfs
mkdir /tmp/test
obexfs -b 12:34:56:78:90:12 /tmp/test

After this, I can send and receive files without problems! yes yes yes

Hi Japplo,

I can get my N900 mount following your method. I can see files, but copying doesn't move even a bit of data, and end up crashing file manager.

Stefan Zeyen (stefan-zeyen) wrote :

I can confirm the tests from Antony Wong for following mobile devices:

1. Samsung S5230 (Samsung Properitary System)
2. Samung Wave 723 running Bada 1.1
3. Samsung Galaxy Ace running Adroid 2.3

Sending Files from Ubuntu 11.10 to The Devies failed with "permisson denied 13".
Sending files from the Devies to Ubuntu 11.10 is working fine.

During the timei was using Ubuntu 11.04 iwas able to send files to all the Devices above.

Vudentz (luiz-dentz-gmail) wrote :

This is a regression in Linux Kernel, for more information check this thread:

http://thread.gmane.org/gmane.linux.bluez.kernel/15447/focus=20013

Any 2.1 device (with Secure Simple Pairing enabled) will fail to connect if sdp is also connected, the workaround is to disable spp by doing: sudo hcidump hci0 sspmode 0

This is a regression in Linux Kernel, for more information check this thread:

http://thread.gmane.org/gmane.linux.bluez.kernel/15447/focus=20013

Any 2.1 device (with Secure Simple Pairing enabled) will fail to connect if sdp is also connected, apparently obexfs doesn't do sdp thats why it works, the workaround is to disable spp by doing: sudo hcidump hci0 sspmode 0

Anthony Wong (anthonywong) wrote :

The workaround above should read "sudo hciconfig hci0 sspmode 0", and I can confirm that it _works_. After running the command, I no longer see the permission denied error.

The command is hciconfig instead of hcidump. Does anyone know how to make the workaround persist across Bluetooth on/off and system reboots?

Saurav (sauravzone1) wrote :

Does anyone know how to make the workaround persist across Bluetooth on/off and system reboots?

I can confirm that this fixes sending bluetooth files, but browsing the bluetooth device still fails:

Failed to mount OBEX volume: Connection refused

Is that a different bug?

Awesome, this hciconfig command indeed helps a tremendous amount, even on precise. Unfortunately, it's highly dependent on the actual device's name, as well as on sspmode support (which not all devices understand, unfortunately), so I'm not sure that's very reasonable for an SRU even if we're to catch and ignore errors.

Browsing is indeed very different, and that's an issue at the gvfs/nautilus level.

Adding a linux task, since there's a kernel patch hinted to in comment #62, and which is probably likely to be applied soon. (or which may need testing)

Changed in linux (Ubuntu):
status: New → Confirmed

Thanks Saurav. Changing the command as you suggested mounts my N900 properly. With obexfs solution, I wasn't able to transfer files from/to the device, now I can transfer successfully.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Ego (egogratis) wrote :

I can confirm "sudo hciconfig hci0 sspmode 0" enables sending files to device that does not work by default (permission denied). Sending files from device to PC does not work.

Browsing device does not work but the device does show up in Nautilus and the device does respond only when command "sudo hciconfig hci0 sspmode 0" is used.

Clicking on device in Nautilus produces error:

Error: DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Please select another viewer and try again.

Ego (egogratis) wrote :

Update:

I can send files from device to PC if gnome-user-share is installed and configured correctly as described in this bug report.

Basically i can confirm disabling SSP enables me to send files to device and i will say it does not prevent browsing the device. Why in Nautilus when i click on device i don't get the content of the device to browse it is probably different bug not related to this one.

If SSP is not disabled then both don't work.

Maybe i would just make two proposals:

1.) It's a bit problematic gnome-user-share has to be installed and to be set up to enable sending files from device to PC. Could this be improved and integrated in bluetooth control panel?

2.) When user clicks Browse files on device Nautilus could be opened?

I am glad i will be able to use my phone and exchange files with it in Precise Pangolin! Thanks.

James M. Leddy (jm-leddy) wrote :

If you're having trouble with browsing please follow bug 899858

dAnjou (danjou) wrote :

The workaround proposed in #62 works for my problem in #38 too, thanks!

Janus (reslayer-mail) wrote :

#63's workaround helped, thanx; general problem is everything as supposed accessing from phone and only discovery and pairing (and unpairing/deleting) works from the Oneiric desktop I am using.

Of course, bt service restart will make it forget the kick-start workaround `sudo hciconfig hci0 sspmode 0'.

I guess the bug is out there in misconfig.

tags: added: bluetooth
Changed in linux (Ubuntu):
assignee: nobody → Ming Lei (tom-leiming)
Ming Lei (tom-leiming) wrote :

The precise kernel images have been built with the patch in #62 on the
link below:

        http://kernel.ubuntu.com/~ming/bugs/872044/

so please feel free to test the precise kernel image to see if it can
fix the issue.

thanks,
--
Ming Lei

Anthony Wong (anthonywong) wrote :

I have tested the precise kernel in #73 and it works.

Caveat: Need to install the Bluetooth File Transfer app in Android since stock Android has very limited bluetooth functionality.

Ego (egogratis) wrote :

I tested suggested kernel and it works here too.

-Sending files from Ubuntu to device works.
-Sending files from device to Ubuntu works (if Personal file sharing is installed and receive files over bluetooth is enabled).
-Browsing the device does not work but that is different bug.

I'm confused, so does bluetooth file transfer work in Fedora 16 or not?

Created attachment 567002
start browsing bluetooth files

start browsing bluetooth files

Created attachment 567003
download files over bluetooth

download files over bluetooth

Ok, I see now, what confused me what that for some of you mounting and downloading images FROM bluetooth devices also fails.

Downloading files FROM mobile devices works perfectly in Fedora 16, as you can see in my attached screenshots.

Sending files TO mobile devices via bluetooth fails for me also even with latest kernel and all updates.

Any news when is this issue scheduled to be fixed? Who needs to fix and what? Is it this responsibility of GNOME Bluetooth devs to make new versions of bluetooth tools that work with new kernel?

@Valent: This is not a problem in GNOME. The workaround mentioned in comments 18 and 19 works, but I have been unable to find a way to make the workaround persist across reboots.

Stefan Zeyen (stefan-zeyen) wrote :

I also tested the precise kernel in #73.
The kernel works fine, bluetooth filetranfer from ubuntu to a mobile device ist working.

Will the patch be a part of the official precise kernel?

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-19.30

---------------
linux (3.2.0-19.30) precise; urgency=low

  [ Andy Whitcroft ]

  * [Config] Fix typeo in the Hyper-V module names

  [ Colin Watson ]

  * [Config] Move kernels to "Section: kernel"
    - LP: #499557

  [ John Johansen ]

  * SAUCE: AppArmor: Add ability to load extended policy
  * SAUCE: AppArmor: Add the ability to mediate mount
  * SAUCE: AppArmor: Add profile introspection file to interface
  * SAUCE: AppArmor: basic networking rules

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER
    - LP: #952035
  * Rebase to v3.2.10
  * [Config] Update configs after rebase to v3.2.10
  * Rebase to v3.2.11
  * [Config] Disable CONFIG_STUB_POULSBO
    - LP: #899244
  * [Config] Add CONFIG_DRM_PSB check to enforcer
    - LP: #899244

  [ Tim Gardner ]

  * [Config] Drop non-SMP powerpc

  [ Upstream Kernel Changes ]

  * net/hyperv: Use the built-in macro KBUILD_MODNAME for this driver
  * x86: Derandom delay_tsc for 64 bit
  * Bluetooth: Fix l2cap conn failures for ssp devices
    - LP: #872044
  * KVM: x86: extend "struct x86_emulate_ops" with "get_cpuid"
    - LP: #917842
    - CVE-2012-0045
  * KVM: x86: fix missing checks in syscall emulation
    - LP: #917842
    - CVE-2012-0045
  * rebase to v3.2.11
  * rebase to v3.2.10
 -- Leann Ogasawara <email address hidden> Fri, 16 Mar 2012 08:02:07 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
jeremy-list (quick-dudley) wrote :

It would be great if someone could backport the patch to oneric too.

Ming Lei (tom-leiming) wrote :

OK, I will send out the patch for Oneric to ubuntu kernel mail list later.

Anomaly (bertrand3000) wrote :

I can confirm that updating Precise to the latest kernel fix the Send file issue. Unfortunately, the "Browse File on Device" menu option is still broken. It's better than before, because when you choose that option, the device will react and ask for confirmation. But even if you say "yes", nothing will happen on the computer side.

Anomaly (bertrand3000) wrote :

To add on my previous reply, the following will be added /var/log/syslog while trying to "Browse File on Device" :

obex-data-server: sdp_extract_seqtype: Unexpected end of packet

Ego (egogratis) wrote :

I tested new kernel too and i can confirm this works now. Thanks for fixing this.

"But even if you say "yes", nothing will happen on the computer side."

Actually "something" does happen.

If u open Nautilus you will notice the device is mounted but this does not work and the BUG is reported here:

https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/899858

But i do do agree Nautilus should open when pressing on the button. Average Ubuntu user just does not know he/she has to open Nautilus after pressing the button and just assumes it does not work!

tags: added: rls-p-tracking
Tim Gardner (timg-tpi) on 2012-03-19
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
tags: removed: rls-p-tracking

Closing the obex tasks, since this was fixed in the kernel.

no longer affects: obexd (Ubuntu)
no longer affects: obex-data-server (Ubuntu)
Changed in obex-data-server (Ubuntu Oneiric):
status: New → Invalid
Changed in obex-data-server (Ubuntu Precise):
status: Confirmed → Invalid
Changed in obexd (Ubuntu Precise):
status: Confirmed → Invalid
Changed in obexd (Ubuntu Oneiric):
status: New → Invalid

Also not an issue in bluez, see above.

Changed in bluez (Ubuntu Oneiric):
status: New → Invalid
Changed in bluez (Ubuntu Precise):
status: Confirmed → Invalid
no longer affects: oem-priority/q-series
Changed in oem-priority:
status: Confirmed → Fix Released
Fahd Harb (eg-fofo) wrote :

I have the same problem with ubuntu 11.10 64bit and samsung galaxy s2 with gingerbread 2.3.5
please fix the bug for this release, thanks

Anthony Wong (anthonywong) wrote :

Fahd, if possible could you test with 12.04 beta 2? This bug has already been fixed there and my testing is positive.

Ming Lei (tom-leiming) wrote :

On Sat, Mar 31, 2012 at 6:39 AM, Fahd Harb <email address hidden> wrote:
> I have the same problem with ubuntu 11.10 64bit and samsung galaxy s2 with gingerbread 2.3.5
> please fix the bug for this release, thanks

Ubuntu-3.0.0-18.31(Oneiric) has applied the fix patch already, so please
update linux-image to fix your problem.

Thanks,

Anthony Wong (anthonywong) wrote :

Fahd, for 11.10, this fix has already been queued up for the next SRU (stable release update).

The Ubuntu developers seem to have fixed this: https://bugs.launchpad.net/gnome-bluetooth/+bug/872044. Has this been fixed in any kernel or BlueZ update for Fedora 16? If not, can we get an update here as well?

garypeg (pegngary) wrote :

On Fri, Mar 30, 2012 at 11:49 PM, Anthony Wong
<email address hidden> wrote:
> Fahd, for 11.10, this fix has already been queued up for the next SRU
> (stable release update).
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (887734).
> https://bugs.launchpad.net/bugs/872044
>
> Title:
>  Bluetooth 'Send files' returns permission denied error
>
> Status in GNOME Bluetooth:
>  New
> Status in Linaro Ubuntu Evaluation Builds:
>  Confirmed
> Status in Linaro Linux:
>  New
> Status in OEM Priority Project:
>  Fix Released
> Status in OEM Priority Project precise series:
>  New
> Status in “bluez” package in Ubuntu:
>  Invalid
> Status in “linux” package in Ubuntu:
>  Fix Released
> Status in “bluez” source package in Oneiric:
>  Invalid
> Status in “linux” source package in Oneiric:
>  Fix Committed
> Status in “obex-data-server” source package in Oneiric:
>  Invalid
> Status in “obexd” source package in Oneiric:
>  Invalid
> Status in “bluez” source package in Precise:
>  Invalid
> Status in “linux” source package in Precise:
>  Fix Released
> Status in “obex-data-server” source package in Precise:
>  Invalid
> Status in “obexd” source package in Precise:
>  Invalid
> Status in “bluez” package in Fedora:
>  Unknown
>
> Bug description:
>  Gnome 3 bluetooth manager cannot send files to my HTC Desire phone,
>  (or any phone that I could try) Gnome2 bluetooth manager would send
>  some form of authorisation request when first sending a file to my
>  phone, which i would accept on the phone and then all future files
>  could be sent with a simple 'accept?' message on the phone, on any
>  gnome3 setup i have tried there is not authorisation request and i
>  believe this is what leads to a permission denied error on screen
>  (video attached)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: gnome-bluetooth 3.2.0-0ubuntu1
>  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
>  Uname: Linux 3.0.0-12-generic x86_64
>  ApportVersion: 1.23-0ubuntu3
>  Architecture: amd64
>  Date: Mon Oct 10 23:23:33 2011
>  ExecutablePath: /usr/bin/bluetooth-applet
>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111010.1)
>  SourcePackage: gnome-bluetooth
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/872044/+subscriptions

is there a fix for 11.04? 11.10 runs poorly on my machine.

garyk

florin (florin-arjocu) wrote :

Just some thoughts:
At least in my opinion, the OS should be something stable that you use for a long period of time. At least people coming from Windows or MacOS/iOS/etc. are not expecting to change the OS every 3-5 months because of some nagging bug (in this case, the bluetooth connection) . An OS is not just a program, you have to re-make all configurations and install everything that one needs for the computer to be a useful and pleasant tool.
And some programs are not always updated to the latest version with all dependencies, so some of us have trouble installing them (for instance, I could not install GIMP 2.7.5 on Oneiric; yes, I'm a noob, but I am willing to learn and I have learned a lot in the last year since I switched to Ubuntu (from Windows)).

I am sure I am not the only one thinking this, so maybe at some point in the future, the launching philosophy gets closer to major groups of users' needs. There are some bugs dragged for many versions (for instance Gnome desktop icons overlapping) that once fixed will bring lots of smiles and happiness for most of the users, more than some fancy transparency. Together, letting Gnome developers that we care about it might work. Interaction really matters.

//reply to #86:
//Fahd, if possible could you test with 12.04 beta 2? This bug has already been fixed there and my testing is positive.

Anthony Wong (anthonywong) wrote :

@garypeg, it is new to me that this issue also happens in 11.04, because in various comments in this bug report, it is stated that in 11.04 bluetooth transfer works. If it is not working for you, please describe your symptoms and steps to reproduce, by possibly opening a new bug. Thanks.

Saurav (sauravzone1) wrote :

@florin (comment #90): I am a free and open source software proponent and I fully sympathise with your sentiments. Indeed, I have myself felt this often. The problem is that, of late, both the GNOME project and Canonical have been increasingly focussing on adapting their user interfaces for mobile and touch-oriented devices, which require different approaches than traditional desktops and laptops. As a result, many other bugs in the existing software are either getting neglected or are even being created as regressions, when in previous versions they did not exist. For example, Ubuntu 10.04 is infinitely more stable than Ubuntu 11.10. More importantly, 10.04 does not have all the features of 11.10, but what it does have works absolutely correctly and as expected, which is what matters. Similarly, the Debian distribution also provides a stable and reliable system which is not updated with every fad and fancy. The same goes for the KDE SC project. The only way to have a stable OS today (open source) that I can think of is either using Ubuntu's LTS release, which is Ubuntu 10.04 at present and will be 12.04 in April, although the number of new features in 12.04 is again huge, or using something other than Ubuntu which does not rush with updates, such as Debian or OpenSUSE. I have personally also found Fedora to be much better than Ubuntu at fixing bugs, although it provides updates even more frequently. But most of the time, when there is some annoying bug in Fedora, they fix it much more quickly than Ubuntu. The Unity interface in 11.10, for example, had bugs related to both the window management system for maximised LibreOffice windows as well as the launcher quick-lists, which were fixed just a few days ago when the next version of Ubuntu is almost due. By contrast, Fedora fixed most of its problems in version 16 very rapidly after they were reported. I only hope that Canonical in particular will take stock of the situation and put its quality control back in place for which it was known so well for so long.

CaptainMark (imark-skinner) wrote :

Please remember this is a bug report not a chat forum, please only comment in relation to this bug and try to refrain from posting opinions and views that don't relate to this bug and don't help developers fix it

garypeg (pegngary) wrote :

Well I tried connecting again after seeing your comment about 11.04,
and everything worked fine this time. Sorry.

garyk

On 3/31/12, CaptainMark <email address hidden> wrote:
> Please remember this is a bug report not a chat forum, please only
> comment in relation to this bug and try to refrain from posting opinions
> and views that don't relate to this bug and don't help developers fix it
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (887734).
> https://bugs.launchpad.net/bugs/872044
>
> Title:
> Bluetooth 'Send files' returns permission denied error
>
> Status in GNOME Bluetooth:
> New
> Status in Linaro Ubuntu Evaluation Builds:
> Confirmed
> Status in Linaro Linux:
> New
> Status in OEM Priority Project:
> Fix Released
> Status in OEM Priority Project precise series:
> New
> Status in “bluez” package in Ubuntu:
> Invalid
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “bluez” source package in Oneiric:
> Invalid
> Status in “linux” source package in Oneiric:
> Fix Committed
> Status in “obex-data-server” source package in Oneiric:
> Invalid
> Status in “obexd” source package in Oneiric:
> Invalid
> Status in “bluez” source package in Precise:
> Invalid
> Status in “linux” source package in Precise:
> Fix Released
> Status in “obex-data-server” source package in Precise:
> Invalid
> Status in “obexd” source package in Precise:
> Invalid
> Status in “bluez” package in Fedora:
> Unknown
>
> Bug description:
> Gnome 3 bluetooth manager cannot send files to my HTC Desire phone,
> (or any phone that I could try) Gnome2 bluetooth manager would send
> some form of authorisation request when first sending a file to my
> phone, which i would accept on the phone and then all future files
> could be sent with a simple 'accept?' message on the phone, on any
> gnome3 setup i have tried there is not authorisation request and i
> believe this is what leads to a permission denied error on screen
> (video attached)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: gnome-bluetooth 3.2.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> ApportVersion: 1.23-0ubuntu3
> Architecture: amd64
> Date: Mon Oct 10 23:23:33 2011
> ExecutablePath: /usr/bin/bluetooth-applet
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64
> (20111010.1)
> SourcePackage: gnome-bluetooth
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/872044/+subscriptions
>

Saurav (sauravzone1) wrote :

@CaptainMark (comment #93): I know that this is a bug report and all bug reports do have only bug-related comments. We are not going to flood this thread with opinionated comments. However, comment #90 is still valid. This type of discussion also occurs elsewhere on forums but that has never helped either, regarding bug fixing on Ubuntu.

That said, I have a query here too. Are you pushing this fix upstream as well or has it already been fixed upstream?

Anthony Wong (anthonywong) wrote :

@Saurav, this is a regression upstream and the fix has already been accepted there, please see #62.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-18.31). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric

Right now I tested sending files with 3.0.0-18.31 on oneiric and am happy to report that it works now. yay :)

Just to be sure I did also a test with the previous kernel (3.0.0-17.30) where it failed as expected.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Rafael P. (rafael-p) wrote :

Just tested kernel 3.0.0-19.32 in proposed repo and...wooohoo...I'm confirming that sending files works! (Galaxy S i9000) Nevertheless, browsing files still doesn't, but that is another issue...

3.0.0-19-generic #32-Ubuntu SMP Thu Apr 5 18:22:38 UTC 2012 x86_64
and Galaxy S i9000 (ICS)
Sending files works

Thank You

Ethan Chang (ethan.chang) wrote :

I've two Asus lattop, both upgraded to 3.0.0-19-generic #32 kernel, but send file to each other still failed.
But if I install blueman and use blueman to send file, then it works.

CaptainMark (imark-skinner) wrote :

I can send a file to my phone but still cannot recieve a picture from phone to pc, the phone gives a connection refused error message

Oliver Joos (oliver-joos) wrote :

I am not affected by this bug but the reporter of a similar bug 839157. Those who still have problems with browsing a bluetooth device could have a look at bug 839157. Please leave a comment if its workaround works for you.

Karel Kozlik (karel.kozlik) wrote :

The fix worked for me in Oneiric, sending files was fine. But then I upgraded to Precise and I can sent files from PC to phone only. Sending from phone to PC gives me connection refused error. Probably same situation as for CaptainMark.

$ cat /proc/version
Linux version 3.2.0-23-generic (buildd@crested) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu4) ) #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012

Confirmed that work around works for file sharing but internet does not,

Ubuntu have fixed this (both file and internet) 12.04 and they appear to use the same method and tools as fedora. When will this be fixed?

Launchpad Janitor (janitor) wrote :
Download full text (24.1 KiB)

This bug was fixed in the package linux - 3.0.0-19.33

---------------
linux (3.0.0-19.33) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #985736

  [ Luis Henriques ]

  * SAUCE: ite-cir: postpone ISR registration
    - LP: #984387

linux (3.0.0-19.32) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #974368

  [ Brad Figg ]

  * SAUCE (no-up) Provide a param for allowing the BIOS to handle changing
    the brightness on AC/battery status changes.
    - LP: #949311
  * SAUCE (no-up) Quirk for enabling backlight hotkeys on Samsung N150P
    - LP: #875893

  [ Daniel Vetter ]

  * SAUCE: (drop after 3.5) drm/i915: reinstate GM45 TV detection fix
    - LP: #638939

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: (no-up) Reinstate missing hunk from nx emulation
    - LP: #972821

  [ Tim Gardner ]

  * SAUCE: ubuntu drivers: use UMH_WAIT_PROC consistently
    - LP: #963685
  * SAUCE: disable_nx should not be in __cpuinitdata section for X86_32
    - LP: #968233
  * SAUCE: (no-up) remove __initdata from vesafb_fix
    - LP: #969309

  [ Upstream Kernel Changes ]

  * usermodehelper: use UMH_WAIT_PROC consistently
    - LP: #963685
  * usermodehelper: introduce umh_complete(sub_info)
    - LP: #963685
  * usermodehelper: implement UMH_KILLABLE
    - LP: #963685
  * usermodehelper: kill umh_wait, renumber UMH_* constants
    - LP: #963685
  * usermodehelper: ____call_usermodehelper() doesn't need do_exit()
    - LP: #963685
  * kmod: introduce call_modprobe() helper
    - LP: #963685
  * kmod: make __request_module() killable
    - LP: #963685
  * x86, tsc: Fix SMI induced variation in quick_pit_calibrate()
    - LP: #965586
  * ata_piix: Add Toshiba Satellite Pro A120 to the quirks list due to
    broken suspend functionality.
    - LP: #886850
  * ACPICA: Fix regression in FADT revision checks
    - LP: #883441
  * ASPM: Fix pcie devices with non-pcie children
    - LP: #961482
  * USB: option: Add MediaTek MT6276M modem&app interfaces
    - LP: #971808
  * USB: option driver: adding support for Telit CC864-SINGLE, CC864-DUAL
    and DE910-DUAL modems
    - LP: #971808
  * USB: option: make interface blacklist work again
    - LP: #971808
  * USB: option: add ZTE MF820D
    - LP: #971808
  * USB: ftdi_sio: fix problem when the manufacture is a NULL string
    - LP: #971808
  * USB: ftdi_sio: add support for BeagleBone rev A5+
    - LP: #971808
  * USB: Microchip VID mislabeled as Hornby VID in ftdi_sio.
    - LP: #971808
  * USB: ftdi_sio: new PID: Distortec JTAG-lock-pick
    - LP: #971808
  * USB: ftdi_sio: add support for FT-X series devices
    - LP: #971808
  * USB: ftdi_sio: new PID: LUMEL PD12
    - LP: #971808
  * powerpc/usb: fix bug of kernel hang when initializing usb
    - LP: #971808
  * usb: musb: Reselect index reg in interrupt context
    - LP: #971808
  * usb: gadgetfs: return number of bytes on ep0 read request
    - LP: #971808
  * USB: gadget: Make g_hid device class conform to spec.
    - LP: #971808
  * futex: Cover all PI opcodes with cmpxchg enabled check
    - LP: #971808
  * sysfs: Fix memory leak in sysfs_sd_setsecdata().
    - LP: #971808
  * tty: ...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Peter Sewell (peter-sewell) wrote :

I can't understand how this bug as been reported as fixed when it's still not working in ubuntu 12.04 for me.

What am I doing wrong which is stopping me using the bluetooth transfer between a Nokida E65 and HTC Desire (with Bluetooth Transfer App installed)?

When I open Personal File Sharing it says at the top of the app that "This feature can not be enabled because the required packages are not installed on your system". What packages are these and how do I install them?

It allows me to tick the Share Files over Bluetooth boxes and the receive files over Bluetooth.

Any help would be appreciated.

Anthony Wong (anthonywong) wrote :

Hi Peter, we need more specifics what is not working. Does it fail when sending files from the phone to Ubuntu 12.04, or from Ubuntu to the phone?

In Personal File Sharing, the "This feature cannot be enabled..." message is not related to bluetooth file transfer, you can ignore it. The "Receive files in Downloads folder over Bluetooth" must be checked for other devices to send files to Ubuntu over bluetooth.

For me, sending files over bluetooth (both directions) also failed despite the fix. I had to remove the saved pairing from my phone and then re-pair my PC and phone. Peter, you might want to try that, maybe it helps.

Steve 91 (devetjedan) wrote :

And I am suffering from the same problem but on my Samsung B2170, I can send files from the laptop to the phone without issue.
But I can not send files to the PC from phone, the phone have a message "access denied"? 10.04 does not have all the features of 12.04, but what it does have works absolutely correctly and as expected.
part of syslog:
.....
May 8 07:13:14 Devet1-PC obex-client[4799]: obex-client daemon 0.44
May 8 07:13:14 Devet1-PC bluetoothd[704]: Mode session 0x7fbc4e624040 with :1.91 activated
May 8 07:13:24 Devet1-PC bluetoothd[704]: Mode session 0x7fbc4e624040 with :1.91 activated
May 8 07:14:24 Devet1-PC modem-manager[698]: <info> (rfcomm0) opening serial port...
May 8 07:14:24 Devet1-PC kernel: [ 3988.023462] Bluetooth: TIOCGSERIAL is not supported!
......

what do you mean by 'internet does not'? Are you talking about bluetooth tethering? that's nothing to do with this bug, I don't think. tethering is a completely different path from file transfer.

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Stephen Zimmerman (szimmer3) wrote :

Having this happen on Xubuntu 12.04 as well -- can transfer files from phone to computer file (drag and drop, you name it), but computer to phone is not happening. 11.04 (what I was on previously) worked.

> touch file.txt
> touch: cannot touch `file.txt': Operation not supported

...culminating in a gvfsd-obexftp SIGSEGV when I try to do a bulk copy (again, computer to phone) from thunar.

(In reply to comment #24)
> Ok, I see now, what confused me what that for some of you mounting and
> downloading images FROM bluetooth devices also fails.
>
> Downloading files FROM mobile devices works perfectly in Fedora 16, as you can
> see in my attached screenshots.
>
> Sending files TO mobile devices via bluetooth fails for me also even with
> latest kernel and all updates.
>
> Any news when is this issue scheduled to be fixed? Who needs to fix and what?
> Is it this responsibility of GNOME Bluetooth devs to make new versions of
> bluetooth tools that work with new kernel?

Sorry, but not for me with a Samsung Galaxy Gio GT-S5660. After all new updates everything looks fine in Gnome and KDE, all drivers are loaded, devices seen, reaction seen in bluetooth-windows and icons, but no filetransfer or connection is happend. I´m using a Acer Aspire 7750G and with the VMware original aspire-clone VM bluetoth is working perfect but not with original fedora 16.
:-((

Ming Lei (tom-leiming) wrote :

On Thu, May 10, 2012 at 5:14 AM, Stephen Zimmerman
<email address hidden> wrote:
> Having this happen on Xubuntu 12.04 as well -- can transfer files from
> phone to computer file (drag and drop, you name it), but computer to
> phone is not happening. 11.04 (what I was on previously) worked.
>
>> touch file.txt
>> touch: cannot touch `file.txt': Operation not supported
>
> ...culminating in a gvfsd-obexftp SIGSEGV when I try to do a bulk copy
> (again, computer to phone) from thunar.

If so, please submit a new bug report. It is surely that your bug is
not consistent
with this bug title: "Bluetooth 'Send files' returns permission denied error"

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/872044
>
> Title:
>  Bluetooth 'Send files' returns permission denied error
>
> Status in GNOME Bluetooth:
>  New
> Status in Linaro Ubuntu Evaluation Builds:
>  Confirmed
> Status in Linaro Linux:
>  New
> Status in OEM Priority Project:
>  Fix Released
> Status in OEM Priority Project precise series:
>  New
> Status in “bluez” package in Ubuntu:
>  Invalid
> Status in “linux” package in Ubuntu:
>  Fix Released
> Status in “bluez” source package in Oneiric:
>  Invalid
> Status in “linux” source package in Oneiric:
>  Fix Released
> Status in “obex-data-server” source package in Oneiric:
>  Invalid
> Status in “obexd” source package in Oneiric:
>  Invalid
> Status in “bluez” source package in Precise:
>  Invalid
> Status in “linux” source package in Precise:
>  Fix Released
> Status in “obex-data-server” source package in Precise:
>  Invalid
> Status in “obexd” source package in Precise:
>  Invalid
> Status in “bluez” package in Fedora:
>  Unknown
>
> Bug description:
>  Gnome 3 bluetooth manager cannot send files to my HTC Desire phone,
>  (or any phone that I could try) Gnome2 bluetooth manager would send
>  some form of authorisation request when first sending a file to my
>  phone, which i would accept on the phone and then all future files
>  could be sent with a simple 'accept?' message on the phone, on any
>  gnome3 setup i have tried there is not authorisation request and i
>  believe this is what leads to a permission denied error on screen
>  (video attached)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: gnome-bluetooth 3.2.0-0ubuntu1
>  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
>  Uname: Linux 3.0.0-12-generic x86_64
>  ApportVersion: 1.23-0ubuntu3
>  Architecture: amd64
>  Date: Mon Oct 10 23:23:33 2011
>  ExecutablePath: /usr/bin/bluetooth-applet
>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111010.1)
>  SourcePackage: gnome-bluetooth
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/872044/+subscriptions

Download full text (5.1 KiB)

----- Reply message -----
Od: "Ming Lei" <email address hidden>
Datum: so, 5. 12, 2012 08:22
Předmět: [Bug 872044] Re: Bluetooth 'Send files' returns permission denied error
Komu: <email address hidden>

On Thu, May 10, 2012 at 5:14 AM, Stephen Zimmerman
<email address hidden> wrote:
> Having this happen on Xubuntu 12.04 as well -- can transfer files from
> phone to computer file (drag and drop, you name it), but computer to
> phone is not happening. 11.04 (what I was on previously) worked.
>
>> touch file.txt
>> touch: cannot touch `file.txt': Operation not supported
>
> ...culminating in a gvfsd-obexftp SIGSEGV when I try to do a bulk copy
> (again, computer to phone) from thunar.

If so, please submit a new bug report. It is surely that your bug is
not consistent
with this bug title: "Bluetooth 'Send files' returns permission denied error"

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/872044
>
> Title:
>  Bluetooth 'Send files' returns permission denied error
>
> Status in GNOME Bluetooth:
>  New
> Status in Linaro Ubuntu Evaluation Builds:
>  Confirmed
> Status in Linaro Linux:
>  New
> Status in OEM Priority Project:
>  Fix Released
> Status in OEM Priority Project precise series:
>  New
> Status in “bluez” package in Ubuntu:
>  Invalid
> Status in “linux” package in Ubuntu:
>  Fix Released
> Status in “bluez” source package in Oneiric:
>  Invalid
> Status in “linux” source package in Oneiric:
>  Fix Released
> Status in “obex-data-server” source package in Oneiric:
>  Invalid
> Status in “obexd” source package in Oneiric:
>  Invalid
> Status in “bluez” source package in Precise:
>  Invalid
> Status in “linux” source package in Precise:
>  Fix Released
> Status in “obex-data-server” source package in Precise:
>  Invalid
> Status in “obexd” source package in Precise:
>  Invalid
> Status in “bluez” package in Fedora:
>  Unknown
>
> Bug description:
>  Gnome 3 bluetooth manager cannot send files to my HTC Desire phone,
>  (or any phone that I could try) Gnome2 bluetooth manager would send
>  some form of authorisation request when first sending a file to my
>  phone, which i would accept on the phone and then all future files
>  could be sent with a simple 'accept?' message on the phone, on any
>  gnome3 setup i have tried there is not authorisation request and i
>  believe this is what leads to a permission denied error on screen
>  (video attached)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: gnome-bluetooth 3.2.0-0ubuntu1
>  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
>  Uname: Linux 3.0.0-12-generic x86_64
>  ApportVersion: 1.23-0ubuntu3
>  Architecture: amd64
>  Date: Mon Oct 10 23:23:33 2011
>  ExecutablePath: /usr/bin/bluetooth-applet
>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111010.1)
>  SourcePackage: gnome-bluetooth
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/872044/+subscriptions

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.lau...

Read more...

I used to be able to send files from my Dell laptop running Fedora16+KDE to my mobile phone by simply selecting "Send via Bluetooth" from the 3rd mouse button popup menu with the mouse on the file to send in Dolphin but then the other day that stopped working.

The message in /var/log/messages is
May 28 20:56:57 xxxxxx dbus-daemon[1299]: dbus[1299]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1205 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.99" (uid=1000 pid=18765 comm="/usr/libexec/obex-client ")
May 28 20:56:57 xxxxxx dbus[1299]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1205 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.99" (uid=1000 pid=18765 comm="/usr/libexec/obex-client ")

Looking at the date of the last such received file on my phone I can see that the transfer was working May 16 i.e. 12 days ago. Looking among the automatic updates since that time I see that this package
obexd-0.42-1.fc16.i686.rpm
was updated May 19 to
obexd-0.44-1.fc16.i686.rpm
for "fix segfault while sending (#766314)"

So I then tried with undoing that update by force removing that package using
sudo rpm -e --nodeps obexd-0.44-1.fc16.i686.rpm
and instead installing the previous package which is part of the original Fedora 16 release using
sudo rpm --install obexd-0.42-1.fc16.i686.rpm
and with that the file transfer again works.

Comment #30 cont'd... I just upgraded to F17+KDE
incl. latest packages obexd-0.44-1.fc17.i686
and kernel-PAE-3.4.0-1.fc17.i686
and send file from KDE using bluetooth still does not work.
Logging in as root to KDE makes no difference.
If the file is small then a confirmation popup shows on the phone
and if accepted then the file name briefly shows in the bluetooth directory on the phone.
If the file is large then the confirmation prompt does not show.
The phone in unpaired mode shows switching temporarily to paired mode
irrespective of small or large file.

However instead using the following commandline script the file transfer does work
#!/bin/sh
#
# send file using bluetooth
# args: [ bdaddr [ channel file ] ]
# <> : get the <bdaddr>
# <bdaddr> : get the <channel>
# <bdaddr> <channel> <file> : send the <file>
#
case "$#" in
0) hcitool scan ;; # target must be discoverable
1) sdptool search --bdaddr $1 OPUSH ;;
3) obexftp --nopath --noconn --uuid none --bluetooth $1 --channel $2 --put $3 ;;
esac

Steve White (stevan-white) wrote :

Here is a work-around:

Again, the Linux bug has something to do with waiting for an acknowlegement prompt on the receiving device.
This still needs to be fixed.

There is a free (as in beer if you watch our ad) Android app called Bluetooth File Transfer (very well done in fact).
With it you can disable the Receiving "security prompt".
That done, files can be transferred from Linux.

(Using this app, one can also turn file browsing on.
Once that is done, in Linux, just re-pair the devices, and voilà, file browsing with Android!)

Is bluetooth completely messed up? Will this be fixed anytime soon? What is going on in kernel team that maintains this code?

Stefan Zeyen (stefan-zeyen) wrote :

the bug is back in Ubuntu 12.10
I can send files to my mobile, but i cant't receive files from my mobile

Avinash R (nashpapa) wrote :

Hi,
I just upgraded to 12.04 (Xubuntu) from 11.10, like janitor claim in response #105 (that it is fixed in 3.0.0-19.33), it is apparent that bug is yet to be fixed (or is it a new bug?).

cat /proc/version gives me this output

    Linux version 3.2.0-33-generic (buildd@lamiak) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #52-Ubuntu SMP Thu Oct 18 16:19:45 UTC 2012

I'm not being able to send files ftom computer to mobile. I tried to send through 'blueman-sendto' interface, which failed, so i tried to browse and copy the file to some directory. this crashes the filemanager (thunar).
Previously while using 11.10, there was no problem with bluetooth.I was able to send files vice-versa.
I tried re-pairaing the connection and th output was same.

i hope someone would reply on this matter.

Thanks.

Are you still have this problem in updated Fedora 16?

And please, could you try reproduce this bug in Fedora 18 Beta RC1?
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/

*** Bug 537720 has been marked as a duplicate of this bug. ***

*** Bug 735319 has been marked as a duplicate of this bug. ***

*** Bug 806642 has been marked as a duplicate of this bug. ***

*** Bug 727106 has been marked as a duplicate of this bug. ***

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 16 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Moving this bug to Rawhide version as this bug occurs in F16 to F18 releases and it's very likely to hit also F19.

Obex push has been fixed in F18, but not in F17. It seems to be same bug as #747575.

*** This bug has been marked as a duplicate of bug 747575 ***

Fathi Boudra (fboudra) on 2013-03-29
Changed in linaro-ubuntu:
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Linus Walleij (triad) wrote :

Distro issue.

Changed in linux-linaro:
status: New → Won't Fix
Changed in bluez (Fedora):
importance: Unknown → High
status: Unknown → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.